# Generated by Django 4.0.6 on 2022-10-11 18:12

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django_extensions.db.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('profile', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='FeatureFlag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('uuid', django_extensions.db.fields.ShortUUIDField(blank=True, editable=False)),
                ('title', models.CharField(max_length=255)),
                ('description', models.TextField(blank=True, default='')),
                ('enabled', models.BooleanField(default=True)),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='FlagAccess',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('uuid', django_extensions.db.fields.ShortUUIDField(blank=True, editable=False)),
                ('feature_flag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='sparkplug_feature_flags.featureflag')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='flag_access', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'get_latest_by': 'created',
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='featureflag',
            name='users',
            field=models.ManyToManyField(related_name='feature_flags', through='sparkplug_feature_flags.FlagAccess', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddIndex(
            model_name='featureflag',
            index=models.Index(fields=['uuid'], name='sparkplug_f_uuid_c74571_idx'),
        ),
    ]
